Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search.basic.expression
Class PropContainsExpression

    java.lang.Object
      org.apache.slide.search.basic.expression.BasicExpression
          org.apache.slide.search.basic.expression.GenericBasicExpression
              org.apache.slide.search.basic.expression.CompareExpression
                  org.apache.slide.search.basic.expression.ComparePropertyExpression
                      org.apache.slide.search.basic.expression.PropContainsExpression

All Implemented Interfaces:
  IBasicExpression

Direct Known Subclasses:
  NotPropContainsExpression

public class PropContainsExpression
extends ComparePropertyExpression

Represents an EQUALS expression.

Version:
  $Revision: 1.4 $

Field Summary

Fields inherited from class org.apache.slide.search.basic.expression.ComparePropertyExpression
`comparedProperty`

Fields inherited from class org.apache.slide.search.basic.expression.CompareExpression
`propertyProvider, requestedResourcesPool`

Fields inherited from class org.apache.slide.search.basic.expression.BasicExpression
`expressionElement, expressionFactory, resultSet`

Constructor Summary
`PropContainsExpression(org.jdom.Element e, ComparableResourcesPool requestedResourcesPool)` Creates an EQ expression according to Element e

Method Summary
`protected boolean` | `compare(ComparableResource item)` Checks item for equality against of this expression.
`java.lang.String` | `toString()` For debugging purpose.

Methods inherited from class org.apache.slide.search.basic.expression.ComparePropertyExpression
`getLiteral, toString`

Methods inherited from class org.apache.slide.search.basic.expression.CompareExpression
`execute, getRequestedResourcePool`

Methods inherited from class org.apache.slide.search.basic.expression.BasicExpression
`getFactory, setFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropContainsExpression

    public PropContainsExpression(org.jdom.Element e,
                                  ComparableResourcesPool requestedResourcesPool)
                           throws InvalidQueryException

  Creates an EQ expression according to Element e

Parameters:
  `e` - jdom element, that describes the expression
  `requestedResourcesPool` - the pool of resources to apply the expression to.

Method Detail

### compare

    protected boolean compare(ComparableResource item)

  Checks item for equality against of this expression.

  Specified by:
    `compare` in class `ComparePropertyExpression`
  Parameters:
    `item` - a BasicDataItem
  Returns:
    a boolean

### toString

    public java.lang.String toString()

  For debugging purpose.

  Returns:
    This expression as string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD